---
name: Rick Walker
start_date: 2020-01-06
locality: Denver, Colorado
country: Remote
role: <a href="/job-families/sales/strategic-account-leader/">Strategic Account Leader</a>
reports_to: bcaulfield
picture: "../gitlab-logo-extra-whitespace.png"
twitter: 
gitlab: rickwalker
departments:
- Sales
story: 'Joined on January 6, 2020

'
